commit:     fcec7da5bf321fa7c836ddb9ace58152c3401ad2
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  8 07:31:24 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Aug  8 07:40:48 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcec7da5

app-misc/ca-certificates: Bump to version 20161130.3.32

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 app-misc/ca-certificates/Manifest                  |   1 +
 .../ca-certificates-20161130.3.32.ebuild           | 190 +++++++++++++++++++++
 2 files changed, 191 insertions(+)

diff --git a/app-misc/ca-certificates/Manifest 
b/app-misc/ca-certificates/Manifest
index 568d0e1332b..0119c7af89d 100644
--- a/app-misc/ca-certificates/Manifest
+++ b/app-misc/ca-certificates/Manifest
@@ -5,4 +5,5 @@ DIST nss-3.29.3.tar.gz 7479458 SHA256 
35ddcc31251ef829994efeee925011aa1414e32be7
 DIST nss-3.30.1.tar.gz 9501791 SHA256 
1fa273a9a18611bfd22ecd61283172a5aa66af7d0783c7018f42d48000be5eb6 SHA512 
591c518bc7e8105675678863e1995725982527e138b45e12ad0efd927f5d3eaa2aaa704d335ff46d572c2f7ad8a8f9a38e671c1d5a9f46fe495077ba0522bc51
 WHIRLPOOL 
40ef67fcb505ed19b8438b77b5b0a147d939863066a24bd15f5afa2e6ea91a40d6aaa43860c6f1f94f37efe417c48f865c344e7ffb5d997e4a92356100a206c1
 DIST nss-3.30.2.tar.gz 9499119 SHA256 
0d4a77ff26bcee79fa8afe0125e0df6ae9e798b6b36782fa29e28febf7cfce24 SHA512 
02f14bc000cbde42268c4b6f42df80680b010d1491643ef9b11e0bac31a286a2e7fa251c40cb4ac70b64883a1b90efc64440ef9d797357f8a47cd37195fc5500
 WHIRLPOOL 
b1039f227a55ed9ab592b7e1ea0856c8cf91b8d298ef07d9d0f56d1956319b15c12224f023a100d106101c49dafb16e8231680667d2c7d0b8f8b2bbf6ad3ec8e
 DIST nss-3.30.tar.gz 9500552 SHA256 
a8c0000dae5e992f6563972e26dbfefc50d006dd845c43b8ca24ea50169ff3a9 SHA512 
c21e9b5e4b689ea8cbc6f4d7913df43e2a78c4435e0ce092f2ce00e46079ce2268e17ec8527b283ac69eff3d96ff0165a5b42b6579bfe0a720115ff2938260d3
 WHIRLPOOL 
bc0a59484010a5771b515dde1440ccca8a63b167d3d8839b3606460fdf9d2dc3ab7d889173c88edb7d685d39ad3614c4cbc66284d0faced47cdcc01a69997d9a
+DIST nss-3.32.tar.gz 9493574 SHA256 
35c6f381cc96bb25e4f924469f6ba3e57b3a16e0c2fb7e295a284a00d57ed335 SHA512 
7a01f81e23ef9649fd26b8423b015f4df5878c94f6ff591727086644b01db3dbc36de4e131cf70a6f84564e46c8decb7c4f7780fca12270eb900de1f8a11ee3c
 WHIRLPOOL 
bd1a9a8da509143ba995c2a4aac43df991703c1170e2654a8e762fbaf1b26e4f95f85c9d06db45126247a6d52828060c5283fb9cf1e4328952bc518ee38316c4
 DIST nss-cacert-class1-class3.patch 22950 SHA256 
6bba29cee34276e2ca6436dabedfeba2b61fb46668c5d5ceabf0c871574649bf SHA512 
a5aa740bf110a3f0262e3f1ef2fc739ac2b44f042e220039d48aee8e97cd764d5c10718220364f4098aba955882bd02cadb5481512388971a8290312f88a7df0
 WHIRLPOOL 
1246223b01292604e5609bb9c580f092dc5937bf8c98f6891b099e8bab960e03612b6617e30a55d6ff8817d88f190e03812fe8f89f84f25c20970493dc2f7700

diff --git a/app-misc/ca-certificates/ca-certificates-20161130.3.32.ebuild 
b/app-misc/ca-certificates/ca-certificates-20161130.3.32.ebuild
new file mode 100644
index 00000000000..1391c06c4ec
--- /dev/null
+++ b/app-misc/ca-certificates/ca-certificates-20161130.3.32.ebuild
@@ -0,0 +1,190 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+# The Debian ca-certificates package merely takes the CA database as it exists
+# in the nss package and repackages it for use by openssl.
+#
+# The issue with using the compiled debs directly is two fold:
+# - they do not update frequently enough for us to rely on them
+# - they pull the CA database from nss tip of tree rather than the release
+#
+# So we take the Debian source tools and combine them with the latest nss
+# release to produce (largely) the same end result.  The difference is that
+# now we know our cert database is kept in sync with nss and, if need be,
+# can be sync with nss tip of tree more frequently to respond to bugs.
+
+# When triaging bugs from users, here's some handy tips:
+# - To see what cert is hitting errors, use openssl:
+#   openssl s_client -port 443 -CApath /etc/ssl/certs/ -host $HOSTNAME
+#   Focus on the errors written to stderr.
+#
+# - Look at the upstream log as to why certs were added/removed:
+#   https://hg.mozilla.org/projects/nss/log/tip/lib/ckfw/builtins/certdata.txt
+#
+# - If people want to add/remove certs, tell them to file w/mozilla:
+#   
https://bugzilla.mozilla.org/enter_bug.cgi?product=NSS&component=CA%20Certificates&version=trunk
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit eutils python-any-r1
+
+if [[ ${PV} == *.* ]] ; then
+       # Compile from source ourselves.
+       PRECOMPILED=false
+       inherit versionator
+
+       DEB_VER=$(get_version_component_range 1)
+       NSS_VER=$(get_version_component_range 2-)
+       RTM_NAME="NSS_${NSS_VER//./_}_RTM"
+else
+       # Debian precompiled version.
+       PRECOMPILED=true
+       inherit unpacker
+fi
+
+DESCRIPTION="Common CA Certificates PEM files"
+HOMEPAGE="http://packages.debian.org/sid/ca-certificates";
+NMU_PR=""
+if ${PRECOMPILED} ; then
+       
SRC_URI="mirror://debian/pool/main/c/${PN}/${PN}_${PV}${NMU_PR:++nmu}${NMU_PR}_all.deb"
+else
+       
SRC_URI="mirror://debian/pool/main/c/${PN}/${PN}_${DEB_VER}${NMU_PR:++nmu}${NMU_PR}.tar.xz
+               
https://archive.mozilla.org/pub/security/nss/releases/${RTM_NAME}/src/nss-${NSS_VER}.tar.gz
+               cacert? (
+                       
https://dev.gentoo.org/~axs/distfiles/nss-cacert-class1-class3.patch
+               )"
+fi
+
+LICENSE="MPL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd 
~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+IUSE="insecure_certs"
+${PRECOMPILED} || IUSE+=" cacert"
+
+DEPEND=""
+if ${PRECOMPILED} ; then
+       DEPEND+=" !<sys-apps/portage-2.1.10.41"
+fi
+# c_rehash: we run `c_rehash`
+# debianutils: we run `run-parts`
+RDEPEND="${DEPEND}
+       app-misc/c_rehash
+       sys-apps/debianutils"
+
+if ! ${PRECOMPILED}; then
+       DEPEND+=" ${PYTHON_DEPS}"
+fi
+
+S=${WORKDIR}
+
+pkg_setup() {
+       # For the conversion to having it in CONFIG_PROTECT_MASK,
+       # we need to tell users about it once manually first.
+       [[ -f "${EPREFIX}"/etc/env.d/98ca-certificates ]] \
+               || ewarn "You should run update-ca-certificates manually after 
etc-update"
+}
+
+src_unpack() {
+       ${PRECOMPILED} || default
+
+       # Do all the work in the image subdir to avoid conflicting with source
+       # dirs in $WORKDIR.  Need to perform everything in the offset #381937
+       mkdir -p "image/${EPREFIX}"
+       cd "image/${EPREFIX}" || die
+
+       ${PRECOMPILED} && unpacker_src_unpack
+}
+
+src_prepare() {
+       cd "image/${EPREFIX}" || die
+       if ! ${PRECOMPILED} ; then
+               mkdir -p usr/sbin
+               cp -p "${S}"/${PN}/sbin/update-ca-certificates usr/sbin/ || die
+
+               if use cacert ; then
+                       pushd "${S}"/nss-${NSS_VER} >/dev/null
+                       epatch "${DISTDIR}"/nss-cacert-class1-class3.patch
+                       popd >/dev/null
+               fi
+       fi
+
+       default
+       eapply -p2 "${FILESDIR}"/${PN}-20150426-root.patch
+       local relp=$(echo "${EPREFIX}" | sed -e 's:[^/]\+:..:g')
+       sed -i \
+               -e '/="$ROOT/s:ROOT:ROOT'"${EPREFIX}"':' \
+               -e '/RELPATH="\.\./s:"$:'"${relp}"'":' \
+               usr/sbin/update-ca-certificates || die
+}
+
+src_compile() {
+       cd "image/${EPREFIX}" || die
+       if ! ${PRECOMPILED} ; then
+               python_setup
+               local d="${S}/${PN}/mozilla" c="usr/share/${PN}"
+               # Grab the database from the nss sources.
+               cp 
"${S}"/nss-${NSS_VER}/nss/lib/ckfw/builtins/{certdata.txt,nssckbi.h} "${d}" || 
die
+               emake -C "${d}"
+
+               # Now move the files to the same places that the precompiled 
would.
+               mkdir -p etc/ssl/certs etc/ca-certificates/update.d 
"${c}"/mozilla
+               if use cacert ; then
+                       mkdir -p "${c}"/cacert.org
+                       mv "${d}"/CAcert_Inc..crt 
"${c}"/cacert.org/cacert.org_root.crt || die
+               fi
+               mv "${d}"/*.crt "${c}"/mozilla/ || die
+       else
+               mv usr/share/doc/{ca-certificates,${PF}} || die
+       fi
+
+       if ! use insecure_certs ; then
+               elog "To prevent applications relying on system's trusted root 
certificate store"
+               elog "from using CAs where at least one major browser vendor 
Gentoo is following"
+               elog "has decided to apply trust level restrictions, the 
following"
+               elog "certificate(s) were removed:"
+               # Remove untrusted certs from StartCom and WoSign (bug #598072)
+               elog "$(find "${c}" -type f \( \
+                       -iname '*startcom*' \
+                       -o -iname '*wosign*' \
+                       \) -printf '%P removed; see 
https://bugs.gentoo.org/598072 for details\n' -delete)"
+       fi
+
+       (
+       echo "# Automatically generated by ${CATEGORY}/${PF}"
+       echo "# $(date -u)"
+       echo "# Do not edit."
+       cd "${c}"
+       find * -name '*.crt' | LC_ALL=C sort
+       ) > etc/ca-certificates.conf
+
+       sh usr/sbin/update-ca-certificates --root "${S}/image" || die
+}
+
+src_install() {
+       cp -pPR image/* "${D}"/ || die
+       if ! ${PRECOMPILED} ; then
+               cd ca-certificates
+               doman sbin/*.8
+               dodoc debian/README.* examples/ca-certificates-local/README
+       fi
+
+       echo 'CONFIG_PROTECT_MASK="/etc/ca-certificates.conf"' > 
98ca-certificates
+       doenvd 98ca-certificates
+}
+
+pkg_postinst() {
+       if [ -d "${EROOT}/usr/local/share/ca-certificates" ] ; then
+               # if the user has local certs, we need to rebuild again
+               # to include their stuff in the db.
+               # However it's too overzealous when the user has custom certs 
in place.
+               # --fresh is to clean up dangling symlinks
+               "${EROOT}"/usr/sbin/update-ca-certificates --root "${ROOT}"
+       fi
+
+       if [ -n "$(find -L "${EROOT}"etc/ssl/certs/ -type l)" ] ; then
+               ewarn "Removing the following broken symlinks:"
+               ewarn "$(find -L "${EROOT}"/etc/ssl/certs/ -type l -printf '%p 
-> %l\n' -delete)"
+       fi
+}

Reply via email to